---
title: '::-webkit-meter-optimum-value'
slug: 'Web/CSS/::-webkit-meter-optimum-value'
tags:
  - '::-webkit-meter-optimum-value'
  - CSS
  - Non-standard
  - Pseudo-element
  - Reference
  - Selector
---
<div>{{CSSRef}}{{Non-standard_header}}</div>

<p>The <strong><code>::-webkit-meter-optimum-value</code></strong> CSS <a href="/en-US/docs/Glossary/Pseudo-element">pseudo-element</a> styles the {{htmlelement("meter")}} element when its value is inside the low-high range.</p>

<p>Green is the default color.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate">::-webkit-meter-optimum-value</pre>

<h2 id="Specifications">Specifications</h2>

<p>Not part of any standard.</p>

<h2 id="Examples">Examples</h2>

<p>This example will only work in browsers based on WebKit or Blink.</p>

<h3 id="HTML">HTML</h3>

<pre class="brush: html notranslate">&lt;meter min="0" max="10" value="6"&gt;Score out of 10&lt;/meter&gt;</pre>

<h3 id="CSS">CSS</h3>

<pre class="brush: css notranslate">meter::-webkit-meter-bar {
  /* Required to get rid of the default background property */
  background : none;
  background-color : whiteSmoke;
  box-shadow : 0 5px 5px -5px #333 inset;
}

meter::-webkit-meter-optimum-value {
  box-shadow: 0 5px 5px -5px #999 inset;
}</pre>

<h3 id="Result">Result</h3>

<p>{{ EmbedLiveSample('Examples', '100%', 50) }}</p>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("css.selectors.-webkit-meter-optimum-value")}}</p>

<h2 id="See_also">See also</h2>

<p>The pseudo-elements used by WebKit/Blink to style other parts of a {{htmlelement("meter")}} element are as follows:</p>

<ul>
 <li>{{cssxref("::-webkit-meter-inner-element")}}</li>
 <li>{{cssxref("::-webkit-meter-bar")}}</li>
 <li>{{cssxref("::-webkit-meter-even-less-good-value")}}</li>
 <li>{{cssxref("::-webkit-meter-suboptimum-value")}}</li>
</ul>
